﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.MVC;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using Portal.Models.Supplier;

@model Toyota.Common.Web.MVC.ModelHolder

<table cellpadding="0" cellspacing="0">
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "AP Year";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().ComboBox(
                comboBox =>
                {
                    comboBox.Name = "APIHAPYearOption";
                    for (int i = DateTime.Now.Year - 3; i <= (DateTime.Now.Year - 3) + 10; i++)
                    {
                        comboBox.Properties.Items.Add(Convert.ToString(i));
                    }
                    comboBox.SelectedIndex = -1;
                    comboBox.Width = Unit.Pixel(110);
                    comboBox.Properties.ItemStyle.HorizontalAlign = HorizontalAlign.Left;
                }).GetHtml()
        </td>
        <td style="width:20px"></td> @* column spacing *@
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Version"; 
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().ComboBox(
                comboBox =>
                {
                    comboBox.Name = "APIHVersionOption";
                    comboBox.Properties.Items.Add("OAP");
                    comboBox.Properties.Items.Add("RAP");
                    comboBox.Properties.Items.Add("PRJ");
                    comboBox.SelectedIndex = -1;
                    comboBox.Width = Unit.Pixel(110);
                }).GetHtml()
        </td>
    </tr>
    <tr style="height:5px"></tr> @* row spacing *@
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Supplier";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "APIHSupplierIDLookup";                    
                    gridLookup.Width = 108;
                    gridLookup.GridProperties.KeyFieldName = "SUPPLIER_CODE";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "AnnualPlan", Action = "PartialHeaderSupplierLookupGridAnnualPlanInquiry" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_CODE";
                        column.FieldName = "SUPPLIER_CODE";
                        column.Caption = "Supplier<br />Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_NAME";
                        column.FieldName = "SUPPLIER_NAME";
                        column.Caption = "Supplier<br />Name";
                        column.Width = Unit.Pixel(500);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(Model.GetModel<List<SupplierName>>()).GetHtml()
        </td>
    </tr>
</table>
<div style="height: 15px;"></div> @* div spacing *@
<table cellpadding="0" cellspacing="0" width="100%">
    <tr>
        <td align="left">
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "APIHSearchButton";
                    button.Text = "Search";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");

                    //button.UseSubmitBehavior = true;
                    button.ClientSideEvents.Click = "OnAPIHSearchButtonClick";
                }
            ).GetHtml()
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "APIHClearButton";
                    button.Text = "Clear";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    
                    //button.UseSubmitBehavior = true;
                    button.ClientSideEvents.Click = "OnAPIHClearButtonClick";
                }
            ).GetHtml()
        </td>
    </tr>
</table>

